# HG changeset patch
# User Rudolph Gutzerhagen <rudolph.gutzerhagen@gmail.com>
# Date 1611868587 18000
#      Thu Jan 28 16:16:27 2021 -0500
# Node ID 3d7a1672b7aff5417a77c165c5fbed68e1c9eb43
# Parent  6850922e59dcbc8426077532650f0fded40601c8
TYT TH-UV88 : changes to allow use of split "duplex" mode  #8747
N.B. Threshold on split vs offset is 25 MHz.

diff --git a/chirp/drivers/th_uv88.py b/chirp/drivers/th_uv88.py
--- a/chirp/drivers/th_uv88.py
+++ b/chirp/drivers/th_uv88.py
@@ -486,7 +486,7 @@
         rf.has_comment = False
         rf.has_tuning_step = False      # Not as chan feature
         rf.valid_tuning_steps = STEPS
-        rf.can_odd_split = False
+        rf.can_odd_split = True     # RG: ToDo:  Review & testing this setting
         rf.has_name = True
         rf.has_offset = True
         rf.has_mode = True
@@ -499,7 +499,7 @@
         rf.valid_name_length = self.NAME_LENGTH
         rf.valid_modes = self.MODES
         rf.valid_characters = self.VALID_CHARS
-        rf.valid_duplexes = ["-", "+", "off", ""]
+        rf.valid_duplexes = ["-", "+", "split", "off", ""]
         rf.valid_tmodes = ['', 'Tone', 'TSQL', 'DTCS', 'Cross']
         rf.valid_cross_modes = ["Tone->Tone", "DTCS->", "->DTCS",
                                 "Tone->DTCS", "DTCS->Tone", "->Tone",
@@ -599,6 +599,9 @@
             # TX freq not set
             mem.duplex = "off"
             mem.offset = 0
+        elif abs(int(_mem.rxfreq) * 10 - int(_mem.txfreq) * 10) > 25000000:  # RG: ToDo: Review
+            mem.duplex = "split"  # RG: ToDo: Review
+            mem.offset = int(_mem.txfreq) * 10  # RG: ToDo: Review
         elif int(_mem.rxfreq) == int(_mem.txfreq):
             mem.duplex = ""
             mem.offset = 0
@@ -694,6 +697,8 @@
         _mem.rxfreq = mem.freq / 10
         if mem.duplex == "off":
             _mem.txfreq = 0xFFFFFFFF
+        elif mem.duplex == "split":  # RG: ToDo: Review
+            _mem.txfreq = mem.offset / 10  # RG: ToDo: Review
         elif mem.duplex == "+":
             _mem.txfreq = (mem.freq + mem.offset) / 10
         elif mem.duplex == "-":
